## glktermw 1.0.4+git20200122

=== Makefile ===
# Unix Makefile for GlkTerm library

# This generates two files. One, of course, is libglktermw.a -- the library
# itself. The other is Make.glktermw; this is a snippet of Makefile code
# which locates the glkterm library and associated libraries (such as
# ncurses.)
#
# When you install glkterm, you must put libglktermw.a in the lib directory,
# and glk.h, glkstart.h, and Make.glktermw in the include directory.

# Pick a C compiler.
#CC = cc
CC = gcc -ansi

# You may need to set directories to pick up the ncursesw library.
#INCLUDEDIRS = -I/usr/5include
#LIBDIRS = -L/usr/5lib
LIBS = -lncursesw

# Use this LIBS line instead of the above if you do not have ncursesw
# available. For example, on a standard Mac OSX setup. (You will 
# probably also have to set LOCAL_NCURSESW in CFLAGS or in gtoption.h.)
#LIBS = -lncurses

OPTIONS = -g -Wall

CFLAGS = $(OPTIONS) $(INCLUDEDIRS)

GLKLIB = libglktermw.a

GLKTERM_OBJS = \
  main.o gtevent.o gtfref.o gtgestal.o gtinput.o \
  gtmessag.o gtmessin.o gtmisc.o gtstream.o gtstyle.o \
  gtw_blnk.o gtw_buf.o gtw_grid.o gtw_pair.o gtwindow.o \
  gtschan.o gtblorb.o cgunicod.o cgdate.o gi_dispa.o gi_blorb.o \
  gtncursesw.o

GLKTERM_HEADERS = \
  glkterm.h gtoption.h gtw_blnk.h gtw_buf.h \
  gtw_grid.h gtw_pair.h gi_dispa.h

all: $(GLKLIB) Make.glktermw

cgunicod.o: cgunigen.c

$(GLKLIB): $(GLKTERM_OBJS)
	ar r $(GLKLIB) $(GLKTERM_OBJS)
	ranlib $(GLKLIB)

Make.glktermw:
	echo LINKLIBS = $(LIBDIRS) $(LIBS) > Make.glktermw
	echo GLKLIB = -lglktermw >> Make.glktermw

$(GLKTERM_OBJS): glk.h $(GLKTERM_HEADERS)

clean:
	rm -f *~ *.o $(GLKLIB) Make.glktermw

=== debian/changelog ===
glktermw (1.0.4+git20200122-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Trim trailing whitespace.
  * Upgrade to newer source format 3.0 (Closes: #1007367).
  * Set debhelper-compat version in Build-Depends.
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 22:52:38 +0100

glktermw (1.0.4+git20200122-2) unstable; urgency=low

  * Remove comment from debian/copyright

 -- John Goerzen <jgoerzen@complete.org>  Fri, 31 Jan 2020 20:34:16 -0600

glktermw (1.0.4+git20200122-1) unstable; urgency=low

  * New upstream release.  The author committed a fix to the license
    to his git repository to make it DFSG-compatible.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 31 Jan 2020 20:06:38 -0600

glktermw (1.0.4-2) unstable; urgency=low

  * Add additional .h files.  glulxe requires them, even though
    the documentation with glktermw doesn't imply they're needed.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Oct 2019 16:28:03 -0500

glktermw (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #942240)

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Oct 2019 15:32:22 -0500

=== debian/control ===
Source: glktermw
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.1.3
Section: libs
Homepage: https://www.eblong.com/zarf/glk/index.html
Vcs-Browser: https://github.com/jgoerzen/glktermw
Vcs-Git: https://github.com/jgoerzen/glktermw.git

Package: libglktermw-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}
Description: Curses-based interface library for interactive fiction
 Glk is a device-independent interface specification intended primarily for
 interactive fiction implementations.  This library provides an ncurses-based
 glk interface and includes Unicode support.  It is used by packages such
 as glulxe.
